---
type: api
title: Update extra certificate
description: Add or update an extra certificate.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-set-extra-certificate
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-set-extra-certificate
products:
  - Elastic Cloud Enterprise
---

# Update extra certificate

## Paths

- `PUT` `/platform/configuration/security/extra_certs/{cert_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `cert_id` (string)
  The extra certificate Id. For example, `star_my_domain_com`.

## Description

Add or update an extra certificate.

## Request Body

`application/text`

Extra certificate bundle

Type: `string`


## Responses

#### `200`

Updates extra certificate under given id

`application/json`

Type: `EmptyResponse`

#### `400`

Certificate uses unknown cryptographic algorithm. (code: `cert.unknown_cert_algorithm`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /platform/configuration/security/extra_certs/{cert_id}
```

#### curl

```curl
curl -X PUT "/platform/configuration/security/extra_certs/{cert_id}"
```

